Bug 226547 - Merge Review: x86info
Summary: Merge Review: x86info
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:17 UTC by Nobody's working on this, feel free to take it
Modified: 2010-10-22 04:31 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-22 04:31:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+


Attachments (Terms of Use)
spec cleanup (1.79 KB, patch)
2010-10-02 07:38 UTC, Parag AN(पराग)
no flags Details | Diff

Description Nobody's working on this, feel free to take it 2007-01-31 21:17:51 UTC
Fedora Merge Review: x86info

http://cvs.fedora.redhat.com/viewcvs/devel/x86info/
Initial Owner: davej@redhat.com

Comment 1 Rafał Psota 2007-02-04 00:42:20 UTC
Things to fix:

* rpmlint -v returns:
I: x86info-debuginfo checking
W: x86info-debuginfo no-version-in-last-changelog
W: x86info-debuginfo no-url-tag
I: x86info checking
W: x86info summary-not-capitalized x86 processor information tool.
W: x86info summary-ended-with-dot x86 processor information tool.
W: x86info no-version-in-last-changelog
W: x86info no-url-tag
E: x86info obsolete-not-provided kernel-utils
I: x86info checking
W: x86info summary-not-capitalized x86 processor information tool.
W: x86info summary-ended-with-dot x86 processor information tool.
W: x86info no-url-tag
W: x86info unversioned-explicit-obsoletes kernel-utils
W: x86info rpm-buildroot-usage %build rm -rf $RPM_BUILD_ROOT
W: x86info rpm-buildroot-usage %build mkdir -p %{buildroot}/usr/sbin
E: x86info no-cleaning-of-buildroot %install
W: x86info mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 5)

* Release tag should be more legible
* no URL tag
* you must use one of the following Changelog formats:
http://fedoraproject.org/wiki/Packaging/Guidelines#head-b7d622f4bb245300199c6a33128acce5fb453213
* preferred BuildRoot value is
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
* you must choose one of the Build Root values:
http://fedoraproject.org/wiki/Packaging/Guidelines#head-f3d77b27a5d29dfc1f5600ef3fc836f2e317badf
* make should use %{?_smp_mflags} flag
* you don't need to use %setup -c -a 0 and cd x86info-%{version}
* you should use rm -rf $RPM_BUILD_ROOT (or rm -rf %{buildroot}) to clean out
the install & clean sections
* %{buildroot}/usr/share/man/man8 is not used, does it really needed?
* COPYING, README and TODO files must be included in %doc
* x86info binary must be in %{_sbindir} instead of /usr/sbin/
* Source tag should include direct path to the file (URL)

Comment 2 Rafał Psota 2007-02-04 04:10:38 UTC
And one more thing: use %defattr(-,root,root,-) instead of %defattr(-,root,root).

Comment 3 Dave Jones 2008-06-04 00:37:37 UTC
The only thing rpmlint warns about in the current spec file is..

$ rpmlint -v x86info.spec 
x86info.spec:13: W: unversioned-explicit-obsoletes kernel-utils

which I think is justified. it does obsolete every version of kernel-utils, so
it shouldn't be versioned.

Marking this as done.

Comment 4 Patrice Dumas 2008-06-04 12:56:53 UTC
The bug should be closed only after the package has been reviewed and
accepted, reopening.

Comment 5 Dave Jones 2009-10-11 01:07:14 UTC
This has been modified for over a year.  Is there any point in leaving this open ?

Comment 6 Parag AN(पराग) 2010-08-12 05:45:37 UTC
If maintainer is ready to do some minor changes in SPEC to make it follow Fedora packaging guidelines then I can take this review and provide patch which maintainer only need to commit.

And yes this does not look following packaging guidelines though I think no blocker issues are there.

Comment 7 Kevin Fenzi 2010-08-13 01:08:00 UTC
Sorry, until we come up with some different policy for merge reviews, they should stay open until finished. 

Parag is willing to help commit the cleanups and get this through review if thats ok with the owner(s).

Comment 8 Dave Jones 2010-08-13 18:47:23 UTC
I just removed the warning about whitespace.

The only remaining warnings I see are ..

x86info.spec:14: W: unversioned-explicit-obsoletes kernel-utils
x86info.spec: W: invalid-url Source0: x86info-1.25.tgz
0 packages and 1 specfiles checked; 0 errors, 2 warnings.

For the first, see comment 3

The 2nd.. What exactly is wrong with that ?

Comment 9 Paul Howarth 2010-08-13 20:27:44 UTC
(In reply to comment #8)
> I just removed the warning about whitespace.
> 
> The only remaining warnings I see are ..
> 
> x86info.spec:14: W: unversioned-explicit-obsoletes kernel-utils
> x86info.spec: W: invalid-url Source0: x86info-1.25.tgz
> 0 packages and 1 specfiles checked; 0 errors, 2 warnings.
> 
> For the first, see comment 3

If you made it obsolete the last EVR ever pushed of kernel-utils and anything older than that, it would be possible in the future for a new kernel-utils package (possibly a completely different package than the old one) to be added to Fedora (possibly with an epoch to avoid your obsolete); with an unversioned obsolete, it's simply not possible.

> The 2nd.. What exactly is wrong with that ?   

It's looking for a URL rather than a filename.
Something like http://www.codemonkey.org.uk/projects/x86info/x86info-1.25.tgz perhaps?

Comment 10 Dave Jones 2010-08-13 23:55:24 UTC
(In reply to comment #9)

> > x86info.spec:14: W: unversioned-explicit-obsoletes kernel-utils
> > x86info.spec: W: invalid-url Source0: x86info-1.25.tgz
> > 0 packages and 1 specfiles checked; 0 errors, 2 warnings.
> > 
> > For the first, see comment 3
> 
> If you made it obsolete the last EVR ever pushed of kernel-utils and anything
> older than that, it would be possible in the future for a new kernel-utils
> package (possibly a completely different package than the old one) to be added
> to Fedora (possibly with an epoch to avoid your obsolete); with an unversioned
> obsolete, it's simply not possible.

tbh, it was so long ago, we probably just drop the obsolete: completely now that the transition has happened. I doubt anyone is going to try an FC3 -> FC14 upgrade.


> > The 2nd.. What exactly is wrong with that ?   
> 
> It's looking for a URL rather than a filename.
> Something like http://www.codemonkey.org.uk/projects/x86info/x86info-1.25.tgz
> perhaps?    

I thought koji can't access Source:'s that aren't in the lookaside ?

Comment 11 Parag AN(पराग) 2010-08-14 03:21:42 UTC
(In reply to comment #10)
> (In reply to comment #9)
> 
> > > x86info.spec:14: W: unversioned-explicit-obsoletes kernel-utils
> > > x86info.spec: W: invalid-url Source0: x86info-1.25.tgz
> > > 0 packages and 1 specfiles checked; 0 errors, 2 warnings.
> > > 
> > > For the first, see comment 3
> > 
> > If you made it obsolete the last EVR ever pushed of kernel-utils and anything
> > older than that, it would be possible in the future for a new kernel-utils
> > package (possibly a completely different package than the old one) to be added
> > to Fedora (possibly with an epoch to avoid your obsolete); with an unversioned
> > obsolete, it's simply not possible.
> 
> tbh, it was so long ago, we probably just drop the obsolete: completely now
> that the transition has happened. I doubt anyone is going to try an FC3 -> FC14
> upgrade.
> 

http://fedoraproject.org/wiki/Upgrade_paths_%E2%80%94_renaming_or_splitting_packages#Do_I_need_to_Provide_my_old_package_names.3F

Comment 12 Paul Howarth 2010-08-14 09:05:42 UTC
(In reply to comment #10)
> (In reply to comment #9)
> > It's looking for a URL rather than a filename.
> > Something like http://www.codemonkey.org.uk/projects/x86info/x86info-1.25.tgz
> > perhaps?    
> 
> I thought koji can't access Source:'s that aren't in the lookaside ?

Koji will strip off all but the filename and pull it from the lookaside. Try it ;-)

Having the full URL in the spec shows where the original upstream source came from.

Comment 13 Dave Jones 2010-08-16 19:17:02 UTC
thanks. committed.

Comment 14 Dave Jones 2010-10-01 20:11:01 UTC
anyone see anything else I need to fix ? 

$ rpmlint x86info.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 15 Parag AN(पराग) 2010-10-02 01:20:28 UTC
sure I will check this and provide cleanup patch.

Comment 16 Parag AN(पराग) 2010-10-02 01:21:23 UTC
This is merge-review so should be assigned to the reviewer only till it gets closed.

Comment 17 Parag AN(पराग) 2010-10-02 07:38:01 UTC
Following are the changes proposed in above patch
1) Guidelines suggests to keep timestamps of upstream installed files. So
please use 
install -p

See https://fedoraproject.org/wiki/Packaging/Guidelines#Timestamps

2) Guidelines suggests package built above F-13 do not need %clean, buildroot and cleaning of buildroot

See https://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
http://fedoraproject.org/wiki/PackagingGuidelines#BuildRoot_tag

3) Guidelines recommends defattr usage as 
%defattr(-, root, root,-)
See https://fedoraproject.org/wiki/Packaging/Guidelines#File_Permissions

Comment 18 Parag AN(पराग) 2010-10-02 07:38:28 UTC
Created attachment 451170 [details]
spec cleanup

Comment 19 Parag AN(पराग) 2010-10-05 05:01:57 UTC
any update?

Comment 20 Parag AN(पराग) 2010-10-11 07:04:00 UTC
ping

Comment 21 Parag AN(पराग) 2010-10-22 04:31:58 UTC
Committed the above patch and built in x86info-1.27-2.fc15

APPROVED.


Note You need to log in before you can comment on or make changes to this bug.